Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.remotecommand.corba.sun
Class SunCORBATransportManager

`java.lang.Object
oracle.toplink.remotecommand.TransportManager
oracle.toplink.remotecommand.corba.CORBATransportManager
oracle.toplink.remotecommand.corba.sun.SunCORBATransportManager`

public class SunCORBATransportManager
extends CORBATransportManager

Field Summary

Fields inherited from class oracle.toplink.remotecommand.TransportManager
`DEFAULT_CONTEXT_FACTORY, DEFAULT_DEDICATED_CONNECTION_KEY, DEFAULT_DEDICATED_CONNECTION_VALUE, DEFAULT_IIOP_URL_PORT, DEFAULT_IIOP_URL_PROTOCOL, DEFAULT_NAMING_SERVICE, DEFAULT_REMOVE_CONNECTION_ON_ERROR_MODE, DEFAULT_URL_PORT, DEFAULT_URL_PROTOCOL, DEFAULT_USER_NAME, JNDI_NAMING_SERVICE, REGISTRY_NAMING_SERVICE`

Constructor Summary
`SunCORBATransportManager(RemoteCommandManager rcm)`

Method Summary
`java.lang.String` | `getDefaultInitialContextFactoryName()` PUBLIC: Return the default initial context factory name for a specific CORBA orb.

Methods inherited from class oracle.toplink.remotecommand.corba.CORBATransportManager
`getNamingServiceType, removeLocalConnection`

Methods inherited from class oracle.toplink.remotecommand.TransportManager
`createDiscoveryManager, getInitialContextFactoryName, getLocalContextProperties, getPassword, getRemoteContextProperties, getUserName, setEncryptedPassword, setInitialContextFactoryName, setLocalContextProperties, setNamingServiceType, setPassword, setRemoteContextProperties, setShouldRemoveConnectionOnError, setUserName, shouldRemoveConnectionOnError`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SunCORBATransportManager

    public SunCORBATransportManager(RemoteCommandManager rcm)

Method Detail

### getDefaultInitialContextFactoryName

    public java.lang.String getDefaultInitialContextFactoryName()

  Description copied from class: `CORBATransportManager`
  PUBLIC: Return the default initial context factory name for a specific CORBA orb.
  Specified by:
    `getDefaultInitialContextFactoryName` in class `CORBATransportManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD